Bug Hunting Session
Bug 87965 - Make 'Search Results' dialog optional from Find & Replace dialog
Summary: Make 'Search Results' dialog optional from Find & Replace dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.3.0
Keywords: easyHack, needsDevEval
Depends on:
Blocks: Find&Replace-Dialog
  Show dependency treegraph
 
Reported: 2015-01-02 13:00 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-09-23 08:45 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
where is the option to check (412.36 KB, image/png)
2019-08-05 13:15 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-01-02 13:00:42 UTC
Starting in 4.2, when you use the Find & Replace dialog in Calc, a Search Results dialog appears after it has completed the replacements.

This dialog shows the new value added to all the cells where the replacements are done. As cells that have been touched by the replacement are already highlighted, there isnt much use for this dialog in regular cases. Also the dialog doesnt show one of the most important things, the total number of replacements, which is present in writer's post-replacement dialog. The dialog also slow down performance, when large amounts of replacements are made in large spreadsheets (e.g. bug 79422), so it would be best not to show this dialog unless the user wishes it to be show.
Comment 1 Cor Nouws 2015-01-02 17:18:54 UTC
+ 1
(wouldn't be surprised if there already is an issue for this ;) )
Comment 2 A (Andy) 2015-01-02 18:04:32 UTC
(In reply to Jay Philips from comment #0)
> Starting in 4.2, when you use the Find & Replace dialog in Calc, a Search
> Results dialog appears after it has completed the replacements.
> 
> This dialog shows the new value added to all the cells where the
> replacements are done. As cells that have been touched by the replacement
> are already highlighted, there isnt much use for this dialog in regular
> cases. Also the dialog doesnt show one of the most important things, the
> total number of replacements, which is present in writer's post-replacement
> dialog. The dialog also slow down performance, when large amounts of
> replacements are made in large spreadsheets (e.g. bug 79422), so it would be
> best not to show this dialog unless the user wishes it to be show.

I actually like this Search Results dialogue box.  There you can select the different replacements and the cursor jumps to this cell and then you can easily see it in the context.  Therefore, if I have a larger Calc sheet it is useful for me, because I do not need to scroll manually, where I can maybe miss one.
Therefore, I would like to keep it.
But maybe the number of replacements could be added to this dialogue box.
Comment 3 Yousuf Philips (jay) (retired) 2015-01-02 23:14:00 UTC
I'm all for keeping it Andy, but prefer it doesnt show up by default and users having the ability to turn it on and off. :D
Comment 4 Heiko Tietze 2015-01-03 08:46:18 UTC
The normal workflow is slowed down, but there are use-cases where this dialog makes sense. So why don't add a checkbox to the F&R dialog "[ ] Show summary". This setting would be useless in case of replace step by step.

The other option is to require an explicit activation for this dialog. For instance via menu item below Find & Replace like "Show last replacements (Shift+Ctrl+H)". Drawback here is that this option is available for a short period only. The last R&F result becomes invalid after user changes, and so the dialog.

Last but not least we could show the search results in the R&F dialog itself, perhaps using a results tab. This dialog remains open right now until closed by user. I think this would be the best solution.
Comment 5 Cor Nouws 2015-01-03 10:13:12 UTC
(In reply to Heiko Tietze from comment #4)
> The normal workflow is slowed down, but there are use-cases where this
> dialog makes sense. So why don't add a checkbox to the F&R dialog "[ ] Show
> summary". This setting would be useless in case of replace step by step.

I like that one.

> Last but not least we could show the search results in the R&F dialog
> itself, perhaps using a results tab. This dialog remains open right now
> until closed by user. I think this would be the best solution.

I think esp. for larger selections that may sill give some delay?
Comment 6 Yousuf Philips (jay) (retired) 2015-01-03 22:57:23 UTC
(In reply to Heiko Tietze from comment #4)
> The normal workflow is slowed down, but there are use-cases where this
> dialog makes sense. So why don't add a checkbox to the F&R dialog "[ ] Show
> summary". This setting would be useless in case of replace step by step.

Yes this is what i was suggesting. Thanks for visualizing it further. :D
Comment 7 Robinson Tryon (qubit) 2016-08-25 04:21:35 UTC Comment hidden (obsolete)
Comment 8 Heiko Tietze 2019-04-04 05:37:06 UTC
Let's add a checkbox "[ ] Don't show again" to the dialog and have a checkbox "[x] Show summary of replaced cells" under Tools > Options > Calc > General > Input Settings.

Nice easyhack.
Comment 9 Commit Notification 2019-05-17 08:46:36 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/019c6ae2ee20a5923055c261abdd22575b69299b%5E%21

Resolves tdf#87965 - Make 'Search Results' dialog optional

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Cor Nouws 2019-05-24 14:03:59 UTC
verified in Version: 6.3.0.0.alpha1+
Build ID: b26b6cab5d8147d35f76a21c333719c80840d08d
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-20_23:15:15
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded

thanks !
Comment 11 BogdanB 2019-08-05 13:15:58 UTC
Created attachment 153139 [details]
where is the option to check

I don't find this option in Tools.
See the screenshot.

Version: 6.3.0.3
Build ID: c75130c129d9c5e43b76e4f26881b3db8bdb5c91
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded
Comment 12 BogdanB 2019-08-05 13:19:09 UTC
This info is also in release notes but I can't use it, before the release...
Comment 13 Heiko Tietze 2019-08-06 08:51:35 UTC
(In reply to BogdanB from comment #12)
> This info is also in release notes but I can't use it, before the release...

Tools > Options > Calc > View: Window > Summary on search (the checkbox is also available on the dialog itself)
Comment 14 BogdanB 2019-08-06 09:23:01 UTC
I could uncheck it from dialog, but how could I check again after unchecking?
Comment 15 Heiko Tietze 2019-08-06 14:22:30 UTC
(In reply to BogdanB from comment #14)
> I could uncheck it from dialog, but how could I check again after unchecking?

Go to the mentioned tab in the options dialog and toggle the respective checkbox  "Summary on search" on.
Comment 16 BogdanB 2019-08-06 14:37:00 UTC
Heiko, please see my screenshot from comment 11. There is no such checkbox in Option.
Is in the other place?
Comment 17 BogdanB 2019-08-06 14:41:49 UTC
Heiko, I discover now the problem.

ON Release note link (https://wiki.documentfoundation.org/ReleaseNotes/6.3) says that:

"User can disable the extra dialog for search results. For activate of this dialog use option Show summary of replaced cells in dialog Tools > Options > Calc > General > Input Settings tdf#87965 (Heiko Tietze)"

In reality the adress is: Tools > Options > Calc > View > Window > Summary on search.

This release notes should be corrected.
Comment 18 Heiko Tietze 2019-08-06 17:58:56 UTC
(In reply to BogdanB from comment #17)
> This release notes should be corrected.

Thanks a lot. Have done it now.
Comment 19 Bill Sanford 2019-09-20 22:56:18 UTC
I am adding new test cases for LO 6.3 for RHEL 6.x, 7.x and 8.x and this is one of the new ones I will be adding to them. I just tested this with F30 and it looks great.

If I am not mistaken, https://wiki.documentfoundation.org/ReleaseNotes/6.3 still has the "Show summary of replaced cells" instead of "Summary on search" as in comment#15

Also, I find it odd that "Search Results" dialog box is named that instead of "Replace Results" or "Search and Replace Results." Just a thought...
Comment 20 Heiko Tietze 2019-09-23 08:45:34 UTC
(In reply to Bill Sanford from comment #19)
> If I am not mistaken, https://wiki.documentfoundation.org/ReleaseNotes/6.3
> still has the "Show summary of replaced cells" instead of "Summary on
> search" as in comment#15

The dialog has "[x] Show this dialog" while the option is "[x] Summary on search". 
 
> Also, I find it odd that "Search Results" dialog box is named that instead
> of "Replace Results" or "Search and Replace Results." Just a thought...

When you just do a Find All it's correct. But of course we could make the title depend on the actual function. Please file a ticket.